Package de.gebit.integrity.ui

## Class AbstractDSLUiModule

- java.lang.Object
- - org.eclipse.xtext.service.AbstractGenericModule
  - - org.eclipse.xtext.ui.DefaultUiModule
    - - org.eclipse.xtext.common.types.ui.DefaultCommonTypesUiModule
      - - de.gebit.integrity.ui.AbstractDSLUiModule

- All Implemented Interfaces:
    `com.google.inject.Module`
  Direct Known Subclasses:
    `DSLUiModule`

      public abstract class AbstractDSLUiModule
      extends org.eclipse.xtext.common.types.ui.DefaultCommonTypesUiModule

  Manual modifications go to {de.gebit.integrity.ui.DSLUiModule}

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractDSLUiModule​(org.eclipse.ui.plugin.AbstractUIPlugin plugin)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Class<? extends org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext.Factory>` | `bindContentAssistContext$Factory()` |
    `Class<? extends org.eclipse.xtext.ui.editor.DocumentBasedDirtyResource>` | `bindDocumentBasedDirtyResource()` |
    `Class<? extends org.eclipse.xtext.ui.editor.contentassist.antlr.IContentAssistParser>` | `bindIContentAssistParser()` |
    `Class<? extends org.eclipse.xtext.ui.editor.contentassist.IContentProposalProvider>` | `bindIContentProposalProvider()` |
    `Class<? extends org.eclipse.xtext.generator.IContextualOutputConfigurationProvider>` | `bindIContextualOutputConfigurationProvider()` |
    `Class<? extends org.eclipse.xtext.ui.refactoring.IDependentElementsCalculator>` | `bindIDependentElementsCalculator()` |
    `Class<? extends org.eclipse.jface.viewers.ILabelProvider>` | `bindILabelProvider()` |
    `Class<? extends org.eclipse.xtext.ui.editor.outline.IOutlineTreeProvider>` | `bindIOutlineTreeProvider()` |
    `Class<? extends org.eclipse.xtext.ui.editor.outline.impl.IOutlineTreeStructureProvider>` | `bindIOutlineTreeStructureProvider()` |
    `Class<? extends org.eclipse.xtext.ui.codetemplates.ui.partialEditing.IPartialContentAssistParser>` | `bindIPartialContentAssistParser()` |
    `Class<? extends org.eclipse.xtext.ui.editor.contentassist.IProposalConflictHelper>` | `bindIProposalConflictHelper()` |
    `Class<? extends org.eclipse.xtext.ui.refactoring.IReferenceUpdater>` | `bindIReferenceUpdater()` |
    `Class<? extends org.eclipse.xtext.ui.refactoring.IRenameRefactoringProvider>` | `bindIRenameRefactoringProvider()` |
    `Class<? extends org.eclipse.xtext.ui.refactoring.IRenameStrategy>` | `bindIRenameStrategy()` |
    `Class<? extends org.eclipse.xtext.ui.refactoring.ui.IRenameSupport.Factory>` | `bindIRenameSupport$Factory()` |
    `Class<? extends org.eclipse.xtext.ui.editor.quickfix.IssueResolutionProvider>` | `bindIssueResolutionProvider()` |
    `Class<? extends org.eclipse.compare.IViewerCreator>` | `bindIViewerCreator()` |
    `org.eclipse.core.resources.IWorkspaceRoot` | `bindIWorkspaceRootToInstance()` |
    `Class<? extends org.eclipse.xtext.builder.IXtextBuilderParticipant>` | `bindIXtextBuilderParticipant()` |
    `Class<? extends org.eclipse.xtext.ui.editor.IXtextEditorCallback>` | `bindIXtextEditorCallback()` |
    `Class<? extends org.eclipse.xtext.ui.codetemplates.ui.registry.LanguageRegistrar>` | `bindLanguageRegistrar()` |
    `Class<? extends org.eclipse.xtext.ui.editor.contentassist.PrefixMatcher>` | `bindPrefixMatcher()` |
    `Class<? extends org.eclipse.xtext.ui.editor.templates.XtextTemplatePreferencePage>` | `bindXtextTemplatePreferencePage()` |
    `void` | `configureBuilderPreferenceStoreInitializer​(com.google.inject.Binder binder)` |
    `void` | `configureCompareViewerTitle​(com.google.inject.Binder binder)` |
    `void` | `configureContentAssistLexer​(com.google.inject.Binder binder)` |
    `void` | `configureContentAssistLexerProvider​(com.google.inject.Binder binder)` |
    `void` | `configureHighlightingLexer​(com.google.inject.Binder binder)` |
    `void` | `configureHighlightingTokenDefProvider​(com.google.inject.Binder binder)` |
    `void` | `configureIPreferenceStoreInitializer​(com.google.inject.Binder binder)` |
    `void` | `configureIResourceDescriptionsBuilderScope​(com.google.inject.Binder binder)` |
    `void` | `configureIResourceDescriptionsPersisted​(com.google.inject.Binder binder)` |
    `void` | `configureResourceUIServiceLabelProvider​(com.google.inject.Binder binder)` |
    `com.google.inject.Provider<org.eclipse.xtext.resource.containers.IAllContainersState>` | `provideIAllContainersState()` |
    `com.google.inject.Provider<org.eclipse.xtext.ui.codetemplates.ui.registry.LanguageRegistry>` | `provideLanguageRegistry()` |
    `com.google.inject.Provider<org.eclipse.xtext.ui.codetemplates.ui.preferences.TemplatesLanguageConfiguration>` | `provideTemplatesLanguageConfiguration()` |

    - ### Methods inherited from class org.eclipse.xtext.common.types.ui.DefaultCommonTypesUiModule

      `bindAbstractJavaBasedContentProposalProvider$ReferenceProposalCreator, bindAbstractTypeScopeProvider, bindClassLoaderToInstance, bindDirtyStateEditorSupport, bindIHyperlinkHelper, bindIJavaProjectProvider, bindIJavaSearchParticipation, bindIJvmTypeProvider$Factory, bindITypesProposalProvider, bindIValidationJobScheduler, bindRefactoringResourceSetProvider`

    - ### Methods inherited from class org.eclipse.xtext.ui.DefaultUiModule

      `bindAbstractEditStrategyProvider, bindAdapterFactory, bindAdapterFactoryLabelProvider, bindComposedAdapterFactory$Descriptor$RegistryToInstance, bindContextTypeRegistry, bindCopyQualifiedNameService, bindIAllContainersState$Provider, bindIAnnotationHover, bindIBracePairProvider, bindIBuildPreferenceEvaluator, bindICharacterPairMatcher, bindICompletionProposalPostProcessor, bindIContentAssistantFactory, bindIContentAssistProcessor, bindIContentFormatterFactory, bindIContentOutlinePage, bindICopyQualifiedNameService, bindIDocumentPartitioner, bindIEObjectHover, bindIExternalContentSupport$IExternalContentProvider, bindIHighlightingHelper, bindIHyperlinkDetector, bindIImageDescriptorHelper, bindIImageHelper, bindIIndentationInformation, bindIPartitionTokenScanner, bindIPreferenceStore, bindIPreferenceValuesProvider, bindIPresentationDamager, bindIPresentationRepairer, bindIReconciler, bindIResourceForEditorInputFactory, bindIResourceSetProvider, bindIShouldGenerate, bindISingleLineCommentHelper, bindITemplateProposalProvider, bindITextHover, bindITokenScanner, bindIWhitespaceInformationProvider, bindMarkerContributor, bindMarkerTypeProvider, bindOutlineFilterAndSorter$IComparator, bindProjectConfigProvider, bindTemplateStore, configure, configureBracketMatchingAction, configureContentProposalLabelProvider, configureHyperlinkLabelProvider, configureIOutlineContribution$Composite, configureIQuickOutlineContribution$Composite, configureIResourceDescriptionsLiveScope, configureIssueCodesPreferenceInitializer, configureLanguageSpecificURIEditorOpener, configureMarkOccurrencesAction, configureSmartCaretPreferenceInitializer, configureSpellChecker, configureToggleLinkWithEditorOutlineContribution, configureToggleSortingOutlineContribution, configureUiEncodingProvider, configureXtextEditorErrorTickUpdater`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractGenericModule

      `bindProperties, getBindings, tryBindProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractDSLUiModule

          public AbstractDSLUiModule​(org.eclipse.ui.plugin.AbstractUIPlugin plugin)

  - ### Method Detail

    - #### provideIAllContainersState

          public com.google.inject.Provider<org.eclipse.xtext.resource.containers.IAllContainersState> provideIAllContainersState()

    - #### bindIProposalConflictHelper

          public Class<? extends org.eclipse.xtext.ui.editor.contentassist.IProposalConflictHelper> bindIProposalConflictHelper()

    - #### configureHighlightingLexer

          public void configureHighlightingLexer​(com.google.inject.Binder binder)

    - #### configureHighlightingTokenDefProvider

          public void configureHighlightingTokenDefProvider​(com.google.inject.Binder binder)

    - #### bindIDependentElementsCalculator

          public Class<? extends org.eclipse.xtext.ui.refactoring.IDependentElementsCalculator> bindIDependentElementsCalculator()

    - #### configureIResourceDescriptionsBuilderScope

          public void configureIResourceDescriptionsBuilderScope​(com.google.inject.Binder binder)

    - #### bindIXtextEditorCallback

          public Class<? extends org.eclipse.xtext.ui.editor.IXtextEditorCallback> bindIXtextEditorCallback()

    - #### bindIContextualOutputConfigurationProvider

          public Class<? extends org.eclipse.xtext.generator.IContextualOutputConfigurationProvider> bindIContextualOutputConfigurationProvider()

    - #### configureIResourceDescriptionsPersisted

          public void configureIResourceDescriptionsPersisted​(com.google.inject.Binder binder)

    - #### bindDocumentBasedDirtyResource

          public Class<? extends org.eclipse.xtext.ui.editor.DocumentBasedDirtyResource> bindDocumentBasedDirtyResource()

    - #### bindIXtextBuilderParticipant

          public Class<? extends org.eclipse.xtext.builder.IXtextBuilderParticipant> bindIXtextBuilderParticipant()

    - #### bindIWorkspaceRootToInstance

          public org.eclipse.core.resources.IWorkspaceRoot bindIWorkspaceRootToInstance()

    - #### configureBuilderPreferenceStoreInitializer

          public void configureBuilderPreferenceStoreInitializer​(com.google.inject.Binder binder)

    - #### bindILabelProvider

          public Class<? extends org.eclipse.jface.viewers.ILabelProvider> bindILabelProvider()

      Overrides:
        `bindILabelProvider` in class `org.eclipse.xtext.ui.DefaultUiModule`

    - #### configureResourceUIServiceLabelProvider

          public void configureResourceUIServiceLabelProvider​(com.google.inject.Binder binder)

      Overrides:
        `configureResourceUIServiceLabelProvider` in class `org.eclipse.xtext.ui.DefaultUiModule`

    - #### bindIOutlineTreeProvider

          public Class<? extends org.eclipse.xtext.ui.editor.outline.IOutlineTreeProvider> bindIOutlineTreeProvider()

    - #### bindIOutlineTreeStructureProvider

          public Class<? extends org.eclipse.xtext.ui.editor.outline.impl.IOutlineTreeStructureProvider> bindIOutlineTreeStructureProvider()

    - #### bindIssueResolutionProvider

          public Class<? extends org.eclipse.xtext.ui.editor.quickfix.IssueResolutionProvider> bindIssueResolutionProvider()

      Overrides:
        `bindIssueResolutionProvider` in class `org.eclipse.xtext.ui.DefaultUiModule`

    - #### bindIContentProposalProvider

          public Class<? extends org.eclipse.xtext.ui.editor.contentassist.IContentProposalProvider> bindIContentProposalProvider()

    - #### bindContentAssistContext$Factory

          public Class<? extends org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext.Factory> bindContentAssistContext$Factory()

    - #### bindIContentAssistParser

          public Class<? extends org.eclipse.xtext.ui.editor.contentassist.antlr.IContentAssistParser> bindIContentAssistParser()

    - #### configureContentAssistLexerProvider

          public void configureContentAssistLexerProvider​(com.google.inject.Binder binder)

    - #### configureContentAssistLexer

          public void configureContentAssistLexer​(com.google.inject.Binder binder)

    - #### bindPrefixMatcher

          public Class<? extends org.eclipse.xtext.ui.editor.contentassist.PrefixMatcher> bindPrefixMatcher()

    - #### provideTemplatesLanguageConfiguration

          public com.google.inject.Provider<org.eclipse.xtext.ui.codetemplates.ui.preferences.TemplatesLanguageConfiguration> provideTemplatesLanguageConfiguration()

    - #### provideLanguageRegistry

          public com.google.inject.Provider<org.eclipse.xtext.ui.codetemplates.ui.registry.LanguageRegistry> provideLanguageRegistry()

    - #### bindLanguageRegistrar

          public Class<? extends org.eclipse.xtext.ui.codetemplates.ui.registry.LanguageRegistrar> bindLanguageRegistrar()

    - #### bindXtextTemplatePreferencePage

          public Class<? extends org.eclipse.xtext.ui.editor.templates.XtextTemplatePreferencePage> bindXtextTemplatePreferencePage()

    - #### bindIPartialContentAssistParser

          public Class<? extends org.eclipse.xtext.ui.codetemplates.ui.partialEditing.IPartialContentAssistParser> bindIPartialContentAssistParser()

    - #### bindIRenameStrategy

          public Class<? extends org.eclipse.xtext.ui.refactoring.IRenameStrategy> bindIRenameStrategy()

    - #### bindIReferenceUpdater

          public Class<? extends org.eclipse.xtext.ui.refactoring.IReferenceUpdater> bindIReferenceUpdater()

    - #### configureIPreferenceStoreInitializer

          public void configureIPreferenceStoreInitializer​(com.google.inject.Binder binder)

    - #### bindIRenameRefactoringProvider

          public Class<? extends org.eclipse.xtext.ui.refactoring.IRenameRefactoringProvider> bindIRenameRefactoringProvider()

    - #### bindIRenameSupport$Factory

          public Class<? extends org.eclipse.xtext.ui.refactoring.ui.IRenameSupport.Factory> bindIRenameSupport$Factory()

    - #### bindIViewerCreator

          public Class<? extends org.eclipse.compare.IViewerCreator> bindIViewerCreator()

    - #### configureCompareViewerTitle

          public void configureCompareViewerTitle​(com.google.inject.Binder binder)